from odoo import models, fields, api, _, SUPERUSER_ID
import random
from datetime import datetime, timedelta
from odoo.tools import email_re, email_escape_char, email_split
from odoo.exceptions import UserError,ValidationError
from odoo.tools import email_re
import uuid
import pytz
import logging
_logger = logging.getLogger(__name__)


class HelpdeskTicket(models.Model):
    _inherit = 'helpdesk.ticket'

    maintenance_type_id = fields.Many2one('maintenance.type',string="Tipo mantenimiento")
    date_fail = fields.Date('Fecha de falla')
    severity_type = fields.Selection([
        ('1','Leve'),
        ('2','Medio'),
        ('3','Grave'),
    ],string='Tipo de gravedad')
    fail_type = fields.Selection([
        ('fail','Falla'),('warranty','Garantía')
    ],string="Tipo de falla")
    is_maintenance = fields.Boolean('Es mantenimiento',compute='_verify_ticket_type')

    def _compute_access_url(self):
        super(HelpdeskTicket, self)._compute_access_url()
        for ticket in self:
            if ticket.team_id.id == self.env.ref('helpdesk_maintenance.maintenance').id:
                ticket.access_url = '/my/manteniminetos/%s' % (ticket.id)
            if ticket.team_id.id == self.env.ref('helpdesk_maintenance.maintenance').id and ticket.maintenance_type_id.id == self.env.ref('helpdesk_maintenance.emergency').id:
                ticket.access_url = '/my/manteniminetos/emergencias/%s' % (ticket.id)

    @api.depends('team_id')     
    def _verify_ticket_type(self):
        for ticket in self:
            if ticket.team_id.id == self.env.ref('helpdesk_maintenance.maintenance').id:
                ticket.is_maintenance = True
            else:
                ticket.is_maintenance = False